Loading...
Searching...
No Matches
Dune::At< N > Struct Template Reference
Common » Utilities » Tuple Utilities

Reverse element access. More...

`#include <dune/common/tupleutility.hh>`

## Static Public Member Functions

template<typename Tuple>
static TupleAccessTraits< typenameAtType< N, Tuple >::Type >::NonConstType | get (Tuple &t)
template<typename Tuple>
static TupleAccessTraits< typenameAtType< N, Tuple >::Type >::ConstType | get (const Tuple &t)

## Detailed Description

template<int N>
struct Dune::At< N >

Reverse element access.

While Element<...> gives you the arguments beginning at the front of a std::tuple, At<...> starts at the end, which may be more convenient, depending on how you built your std::tuple.

The documentation for this struct was generated from the following file:

- tupleutility.hh